Module | Sequel::Progress::DatasetMethods
In: | lib/sequel/adapters/shared/progress.rb

### Methods

requires_sql_standard_datetimes? supports_intersect_except?

### Constants

SELECT_CLAUSE_METHODS | = | Dataset.clause_methods(:select, %w'select limit distinct columns from join where group order having compounds')

### Public Instance methods

requires_sql_standard_datetimes?()

Progress requires SQL standard datetimes

[Source]

        # File lib/sequel/adapters/shared/progress.rb, line 15
    15:       def requires_sql_standard_datetimes?
    16:         true
    17:       end

supports_intersect_except?()

Progress does not support INTERSECT or EXCEPT

[Source]

        # File lib/sequel/adapters/shared/progress.rb, line 20
    20:       def supports_intersect_except?
    21:         false
    22:       end

[Validate]